View Issue Details

IDProjectCategoryView StatusLast Update
0027640LazarusLCLpublic2015-03-12 14:40
ReporteroceanAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformWindowsOSOS Version
Product Version1.5 (SVN)Product Build 
Target Version1.4Fixed in Version1.4 
Summary0027640: ShellTreeView add few events (Delphi compatibility)
DescriptionUse "Converter" to convert Delphi7 project. -> It removes many properties.

Patch adds support for these (treeview) events
TagsNo tags attached.
Fixed in Revisionr48257
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • ShellTreeView_Events.zip (1,387 bytes)
  • shellctrls.pas.patch (633 bytes)
    Index: lcl/shellctrls.pas
    ===================================================================
    --- lcl/shellctrls.pas	(revision 48187)
    +++ lcl/shellctrls.pas	(working copy)
    @@ -145,8 +145,17 @@
         property OnChange;
         property OnChanging;
         property OnClick;
    +    property OnCollapsed;
    +    property OnCollapsing;
         property OnCustomDraw;
         property OnCustomDrawItem;
    +    property OnDblClick;
    +    property OnEdited;
    +    property OnEditing;
    +    property OnEnter;
    +    property OnExit;
    +    property OnExpanded;
    +    property OnExpanding;
         property OnKeyDown;
         property OnKeyPress;
         property OnKeyUp;
    
    shellctrls.pas.patch (633 bytes)

Activities

ocean

2015-03-10 12:55

reporter  

ShellTreeView_Events.zip (1,387 bytes)

ocean

2015-03-10 12:56

reporter  

shellctrls.pas.patch (633 bytes)
Index: lcl/shellctrls.pas
===================================================================
--- lcl/shellctrls.pas	(revision 48187)
+++ lcl/shellctrls.pas	(working copy)
@@ -145,8 +145,17 @@
     property OnChange;
     property OnChanging;
     property OnClick;
+    property OnCollapsed;
+    property OnCollapsing;
     property OnCustomDraw;
     property OnCustomDrawItem;
+    property OnDblClick;
+    property OnEdited;
+    property OnEditing;
+    property OnEnter;
+    property OnExit;
+    property OnExpanded;
+    property OnExpanding;
     property OnKeyDown;
     property OnKeyPress;
     property OnKeyUp;
shellctrls.pas.patch (633 bytes)

Bart Broersma

2015-03-11 13:00

developer   ~0081829

Applied thanks.
Please close if OK.

Issue History

Date Modified Username Field Change
2015-03-10 12:55 ocean New Issue
2015-03-10 12:55 ocean File Added: ShellTreeView_Events.zip
2015-03-10 12:56 ocean File Added: shellctrls.pas.patch
2015-03-10 15:44 Bart Broersma Assigned To => Bart Broersma
2015-03-10 15:44 Bart Broersma Status new => assigned
2015-03-11 13:00 Bart Broersma Fixed in Revision => r48257
2015-03-11 13:00 Bart Broersma LazTarget => -
2015-03-11 13:00 Bart Broersma Note Added: 0081829
2015-03-11 13:00 Bart Broersma Status assigned => resolved
2015-03-11 13:00 Bart Broersma Fixed in Version => 1.4
2015-03-11 13:00 Bart Broersma Resolution open => fixed
2015-03-11 13:00 Bart Broersma Target Version => 1.4
2015-03-12 14:40 ocean Status resolved => closed